Bug 909644 - Review Request: python-websocket-client - WebSocket client for python
Summary: Review Request: python-websocket-client - WebSocket client for python
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Uiterwijk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-10 03:24 UTC by Ralph Bean
Modified: 2013-05-28 13:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 13:18:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2013-02-10 03:24:34 UTC
Spec URL: http://ralph.fedorapeople.org//python-websocket-client.spec
SRPM URL: http://ralph.fedorapeople.org//python-websocket-client-0.8.0-1.fc18.src.rpm

Description:
python-websocket-client module is WebSocket client for python. This
provides the low level APIs for WebSocket. All APIs are the synchronous
functions.

python-websocket-client supports only hybi-13.

Comment 1 Ralph Bean 2013-02-10 03:24:40 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4944647

Comment 2 Palle Ravn 2013-02-27 17:57:02 UTC
Upstream is at v0.9.0 now.

Comment 3 Ralph Bean 2013-02-27 18:03:27 UTC
Thanks!  Repackaged latest upstream.

Spec URL: http://threebean.org/rpm/python-websocket-client.spec
SRPM URL: http://threebean.org/rpm/python-websocket-client-0.9.0-1.fc18.src.rpm

Comment 4 Palle Ravn 2013-02-27 19:35:12 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown or
     generated". 2 files have unknown license. Detailed output of licensecheck
     in /home/packager/temp/909644-python-websocket-client/licensecheck.txt

     Only requirement for this is that upstream is informed about the issue. see
     https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).
     websocket_client in %files should be %{distname} for consistent use.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[?]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
     Note: Cannot find sources under BUILD (using prebuilt sources?)
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
     Note: Tested with examples from upstream and it works just fine.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (websocket-client-0.9.0.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment). The spelling
     corrections are mistakes by rpmlint.
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: python-websocket-client-0.9.0-1.fc19.noarch.rpm
          python-websocket-client-0.9.0-1.fc19.src.rpm
python-websocket-client.noarch: W: spelling-error %description -l en_US hybi -> hybrid
python-websocket-client.noarch: E: incorrect-fsf-address /usr/share/doc/python-websocket-client-0.9.0/LICENSE
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/dependency_links.txt
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/top_level.txt
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/PKG-INFO
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/SOURCES.txt
python-websocket-client.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/websocket.py
python-websocket-client.noarch: W: no-manual-page-for-binary wsdump
python-websocket-client.src: W: spelling-error %description -l en_US hybi -> hybrid
2 packages and 0 specfiles checked; 6 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-websocket-client
python-websocket-client.noarch: W: spelling-error %description -l en_US hybi -> hybrid
python-websocket-client.noarch: E: incorrect-fsf-address /usr/share/doc/python-websocket-client-0.9.0/LICENSE
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/dependency_links.txt
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/top_level.txt
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/PKG-INFO
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/SOURCES.txt
python-websocket-client.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/websocket.py
python-websocket-client.noarch: W: no-manual-page-for-binary wsdump
1 packages and 0 specfiles checked; 6 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-websocket-client-0.9.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/python
    python(abi) = 2.7



Provides
--------
python-websocket-client-0.9.0-1.fc19.noarch.rpm:
    
    python-websocket-client = 0.9.0-1.fc19

-- Sidenote from Palle --
I have not had my first package accepted yet, so I'm not sure if I'm allowed to do reviews. However I filled in the blanks to the best of my knowledge.

Comment 5 Ralph Bean 2013-02-27 20:19:24 UTC
Thanks Palle.  Yeah, I think you don't get "full rights" to officially review packages yet.  You must be a member of the "packagers" group in FAS.  However, the comments are definitely welcome and are a good way to become a fully-certified packager yourself:

http://fedoraproject.org/wiki/Package_Review_Process#Reviewer

I'll clean up that hardcoded %{distname} you caught in the next release.

Just a thought:  Your sidenote at the bottom is relatively hard to find for someone just glancing over this BZ issue.  I would place it at the very top next time so it gives the reader context for your review.

Also, the item from "fedora-review" that produced a Fail (a [!]), I would collect that and any other failures and also paste them at the top of the review just so a reader can get the big picture first, before scanning through all the review items.

Comment 6 Ralph Bean 2013-02-27 20:23:27 UTC
New release:
- Replaced hardcoded "websocket_client" with %{eggname}
- Removes some unnecessary newlines from the .spec.

Spec URL: http://threebean.org/rpm/python-websocket-client.spec
SRPM URL: http://threebean.org/rpm/python-websocket-client-0.9.0-2.fc18.src.rpm

Comment 7 Patrick Uiterwijk 2013-04-10 21:31:23 UTC
I will do the official review.

Comment 8 Patrick Uiterwijk 2013-04-10 21:41:08 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License LGPLv2
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
14010ab0f301ef2870079257611742d4  websocket-client-0.9.0.tar.gz
14010ab0f301ef2870079257611742d4  websocket-client-0.9.0.tar.gz

OK - BuildRequires correct
NO, See below - Package has %defattr and permissions on files is good. 
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag 
NO, See below - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. rpmlint says: 
Checking: python-websocket-client-0.9.0-2.fc18.noarch.rpm
python-websocket-client.noarch: W: spelling-error %description -l en_US hybi -> hybrid
python-websocket-client.noarch: E: incorrect-fsf-address /usr/share/doc/python-websocket-client-0.9.0/LICENSE
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/dependency_links.txt
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/top_level.txt
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/PKG-INFO
python-websocket-client.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/websocket_client-0.9.0-py2.7.egg-info/SOURCES.txt
python-websocket-client.noarch: E: incorrect-fsf-address /usr/lib/python2.7/site-packages/websocket.py
python-websocket-client.noarch: W: no-manual-page-for-binary wsdump
1 packages and 0 specfiles checked; 6 errors, 2 warnings.

As indicated by rpmlint, the +x should be removed from the egg-info files.

2. Version 0.10.0 has been released in the mean time: https://pypi.python.org/pypi/websocket-client/0.10.0

Comment 9 Ralph Bean 2013-04-11 01:58:55 UTC
New release:
- Latest upstream release.
- Removed executable bit from installed lib files for rpmlint.

Spec URL: http://threebean.org/rpm/python-websocket-client.spec
SRPM URL: http://threebean.org/rpm/python-websocket-client-0.10.0-1.fc18.src.rpm

Comment 10 Patrick Uiterwijk 2013-05-03 08:12:44 UTC
Sorry for keeping this open so long, I thought I had already marked:

APPROVED

Comment 11 Ralph Bean 2013-05-03 15:44:08 UTC
New Package SCM Request
=======================
Package Name: python-websocket-client
Short Description: WebSocket client for python
Owners: ralph
Branches: f19 f18 f17 el6
InitialCC:

Comment 12 Gwyn Ciesla 2013-05-03 15:53:04 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2013-05-06 23:51:18 UTC
python-websocket-client-0.10.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-websocket-client-0.10.0-1.fc19

Comment 14 Fedora Update System 2013-05-06 23:51:36 UTC
python-websocket-client-0.10.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-websocket-client-0.10.0-1.fc18

Comment 15 Fedora Update System 2013-05-06 23:51:53 UTC
python-websocket-client-0.10.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-websocket-client-0.10.0-1.fc17

Comment 16 Fedora Update System 2013-05-06 23:52:37 UTC
python-websocket-client-0.10.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-websocket-client-0.10.0-1.el6

Comment 17 Fedora Update System 2013-05-27 19:04:57 UTC
python-websocket-client-0.10.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Fedora Update System 2013-05-28 01:01:07 UTC
python-websocket-client-0.10.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 19 Fedora Update System 2013-05-28 01:05:28 UTC
python-websocket-client-0.10.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 20 Fedora Update System 2013-05-28 02:18:34 UTC
python-websocket-client-0.10.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 21 Ralph Bean 2013-05-28 13:18:51 UTC
All stable.


Note You need to log in before you can comment on or make changes to this bug.